package com.ghy.payment.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ghy.common.adapay.model.Event;
import com.ghy.payment.service.CallBackService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 提现回调
 *
 * @author HH 2022/5/30
 */
@Service("drawCashCallbackService")
public class DrawCashCallbackService implements CallBackService {

    private static final Logger logger = LoggerFactory.getLogger(DrawCashCallbackService.class);

    @Override
    public void onCallback(Event event) {
        logger.info("提现 callback: {}", event.toString());
    }

    @Override
    public void onResponse(JSONObject response) {
        logger.info("提现 response: {}", response.toString());
    }

}
